Page MenuHomePhabricator

Can't edit "aliases" with TemplateData editor tool
Closed, ResolvedPublic

Description

I can't delete or empty the parameter "aliases" when using the TemplateData editor tool; but if I change it there is no problem. I have this issue with FF and Chrome on Win 8.1.

Event Timeline

Nnvu created this task.Jan 30 2015, 7:26 PM
Nnvu raised the priority of this task from to Needs Triage.
Nnvu updated the task description. (Show Details)
Nnvu added a project: TemplateData.
Nnvu added a subscriber: Nnvu.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 7:26 PM

I can't manage to replicate this; if I delete the aliases in the editor, they vanish from the <templatedata> string.

Does this still happen with the new version of the TemplateData dialog?

Jdforrester-WMF changed the task status from Open to Stalled.Feb 11 2015, 12:52 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Nnvu added a comment.Feb 11 2015, 7:48 AM

Yes, I still have this issue. For example, here I can't delete alias "titolo" from parameter "titoloitaliano".

Got it. Thank you for reporting, I'm looking at a solution now.

Mooeypoo claimed this task.Feb 11 2015, 5:31 PM

I looked into this. This bug was fixed in master by this fix https://gerrit.wikimedia.org/r/#/c/182980/

This has not yet been deployed but should go into Wikipedia today, and that bug should be fixed at that time.

Nnvu added a comment.Feb 11 2015, 5:56 PM

Understood. I'll let you know tomorrow if it has been fixed correctly.

Nnvu added a comment.Feb 12 2015, 8:46 AM

Yes, now it works. Thanks for help.

Aklapper closed this task as Resolved.Feb 12 2015, 12:28 PM

Closing as resolved per last comment